/*
Fix missing Gravity Forms layout stuff (after we removed the framework CSS)
wp-content/plugins/gravityforms/assets/css/dist/gravity-forms-theme-framework.min.css
*/

.gform-theme--foundation .gfield textarea.small {
	min-block-size: 6rem;
	block-size: 6rem; /*custom*/
}
.gform-theme--foundation .gfield textarea.medium {
	min-block-size: 12rem;
	block-size: 12rem; /*custom*/
}
.gform-theme--foundation .gfield textarea.large {
	min-block-size: 18rem;
	block-size: 18rem; /*custom*/
}

.gform-theme--foundation .gform_fields {
	grid-column-gap: 0;
	-moz-column-gap: 0;
	column-gap: 0;
	display: grid;
	grid-template-columns: repeat(12,1fr);
	grid-template-rows: repeat(auto-fill,auto);
	inline-size: 100%;
	grid-row-gap: var(--gf-form-gap-y);
	row-gap: var(--gf-form-gap-y)
}

.gform-theme--foundation .gfield {
	grid-column: 1/-1;
	min-inline-size: 0
}

@media (min-width: 640px) {
	.gform-theme--foundation .gform_fields {
		-moz-column-gap:var(--gf-form-gap-x);
		column-gap: var(--gf-form-gap-x)
	}

	.gform-theme--foundation .gfield--width-full {
		grid-column: span 12
	}

	.gform-theme--foundation .gfield--width-eleven-twelfths {
		grid-column: span 11
	}

	.gform-theme--foundation .gfield--width-five-sixths {
		grid-column: span 10
	}

	.gform-theme--foundation .gfield--width-three-quarter {
		grid-column: span 9
	}

	.gform-theme--foundation .gfield--width-two-thirds {
		grid-column: span 8
	}

	.gform-theme--foundation .gfield--width-seven-twelfths {
		grid-column: span 7
	}

	.gform-theme--foundation .gfield--width-half {
		grid-column: span 6
	}

	.gform-theme--foundation .gfield--width-five-twelfths {
		grid-column: span 5
	}

	.gform-theme--foundation .gfield--width-third {
		grid-column: span 4
	}

	.gform-theme--foundation .gfield--width-quarter {
		grid-column: span 3
	}

	.gform-theme--foundation .gfield--width-one-sixth {
		grid-column: span 2
	}

	.gform-theme--foundation .gfield--width-one-twelfth {
		grid-column: span 1
	}

	.gform-theme--foundation .gform_footer.left_label,.gform-theme--foundation .gform_footer.right_label {
		padding-inline-start:var(--gf-label-width)}
}


.gfield.gfield--type-hidden {
	display: none;
}
